class Fraction:
    def __init__(self, t, b):
        self.top = t
        self.bottom = b

    def value(self):
        return self.top / self.bottom

    def __eq__(self, other):
        # defines self == other
        if not isinstance(other, Fraction):
            return False
        top_equals = self.top == other.top
        bot_equals = self.bottom == other.bottom 
        return top_equals and bot_equals
        # return top.value() == bottom.value()

    def __gt__(self, other):
        # defines self > other
        return self.value() > other.value()

    def __add__(self, other):
        # defines self + other
        return Fraction(self.top * other.bottom + other.top * self.bottom,
                        self.bottom * other.bottom)

print("3/4 equals 3/4?", Fraction(3, 4).__eq__(Fraction(3, 4)))
print("3/4 equals 3/4?", Fraction(3, 4) == (Fraction(3, 4)))
print("3/4 equals 3?", Fraction(3, 4) == 3)
print("2/3 > 1/2?", Fraction(2, 3) > Fraction(1, 2))
f = Fraction(2, 3) + Fraction(1, 2)
print("2/3 + 1/2 = {}/{}".format(f.top, f.bottom))